Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Label1.ImageIndex = 0
        Label1.Text = "Imagem " & Label1.ImageIndex + 1
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Label1.ImageIndex = Label1.ImageList.Images.Count
        Label1.Text = "Imagem " & Label1.ImageIndex + 1
    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Label1.ImageIndex = Label1.ImageIndex + 1
        Label1.Text = "Imagem " & Label1.ImageIndex + 1
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
        If Label1.ImageIndex = 0 Then
            Exit Sub
        End If

        Label1.ImageIndex = Label1.ImageIndex - 1
        Label1.Text = "Imagem " & Label1.ImageIndex + 1
    End Sub
End Class
